Bug 116124 - up2date-4.3.11-2 gives traceback
up2date-4.3.11-2 gives traceback
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: up2date (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Likins
:
Depends On:
Blocks: FC2Blocker FC3Target
  Show dependency treegraph
 
Reported: 2004-02-18 09:18 EST by Bernd Bartmann
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-25 16:33:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bernd Bartmann 2004-02-18 09:18:29 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040115

Description of problem:
Trying to run up2date (4.3.11-2) to get the latest updates for FC2
Test 1 I got this tracedback:

[root@deanna root]# up2date
 
** (up2date:4065): WARNING **: `GtkTextSearchFlags' is not an enum type
http://fedora.redhat.com/download/up2date-mirrors/fedora-core-rawhide
using mirror:
http://distro.ibiblio.org/pub/linux/distributions/fedora/linux/core/development/i386/
Traceback (most recent call last):
  File "/usr/share/rhn/up2date_client/gui.py", line 1360, in
onChannelsPageNext
    self.pkgList = self.pList.getPackagesToInstall()
  File "/usr/share/rhn/up2date_client/packageList.py", line 580, in
getPackagesToInstall
    result = self.__skipPackages(result)
  File "/usr/share/rhn/up2date_client/packageList.py", line 609, in
__skipPackages
    packageList = self.__skipFiles(packageList)
  File "/usr/share/rhn/up2date_client/packageList.py", line 630, in
__skipFiles
    ignoreMsgCallback = self.ignoreMsgCallback)
  File "/usr/share/rhn/up2date_client/packageList.py", line 669, in
buildHeaderList
    hdr = headerList[pkg]
  File "/usr/share/rhn/up2date_client/headers.py", line 37, in __getitem__
    self.__retrievePackage(item)
  File "/usr/share/rhn/up2date_client/headers.py", line 42, in
__retrievePackage    hdr, sourceType =
rpcServer.doCall(self.repos.getHeader, item)
  File "/usr/share/rhn/up2date_client/rpcServer.py", line 112, in doCall
    ret = apply(method, args, kwargs)
  File "/usr/share/rhn/up2date_client/repoDirector.py", line 31, in
getHeader
    return self.handlers[channel['type']].getHeader(pkg, msgCallback,
progressCallback)
  File "/usr/share/rhn/up2date_client/rpmSource.py", line 210, in
getHeader
    header = source.getHeader(pkg, progressCallback = progressCallback)
  File "/usr/share/rhn/up2date_client/repoBackends/yumRepo.py", line
93, in getHeader
    hdrBuf = fh.read()
  File "/usr/lib/python2.3/gzip.py", line 217, in read
    self._read(readsize)
  File "/usr/lib/python2.3/gzip.py", line 260, in _read
    self._read_gzip_header()
  File "/usr/lib/python2.3/gzip.py", line 161, in _read_gzip_header
    raise IOError, 'Not a gzipped file'
IOError: Not a gzipped file
Traceback (most recent call last):
  File "/usr/share/rhn/up2date_client/gui.py", line 1439, in
onSkippedPagePrepare
    maxlength = max(map(lambda x: len(x[0][0]), self.skipPkgList)) * 8
ValueError: min() or max() arg is an empty sequence
 


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. try to run up2date
2.
3.
    

Additional info:
Comment 1 Nils Philippsen 2004-04-21 10:11:50 EDT
Bernd, can you please check whether the problem persists with current
up2date?
Comment 2 Bernd Bartmann 2004-04-22 12:54:13 EDT
I haven't seen the problem in the past two weeks. If I remember
correctly it only occured when the Fedora mirror that I use was
rsyncing to the Fedora master site.
Comment 3 Jef Spaleta 2004-05-05 22:33:54 EDT
Not sure if it helps to report in that I dont see this on my test3
box. But if this is only viewable if there is a mirror syncing problem
on the server side, I'm not really sure how many people can try to
reproduce this. Does this really need to be a blocker?
Comment 4 Colin Charles 2004-05-07 07:51:58 EDT
I don't see this on the latest up2date - up2date-4.3.17-1 - so this
might have been a problem that disappeared with what was included in
test1. I'm with Jef on this, does this really sound like a blocker?
Comment 5 David Juran 2004-05-25 05:30:06 EDT
I still se this with up2date-4.3.19-1. Anyway, it's not quite straight
forward to from this message deduce that the mirror is broken. 

Note You need to log in before you can comment on or make changes to this bug.